# https://github.com/pypa/setuptools/archive/v39.0.1.tar.gz
%global module setuptools

Name:           python-%{module}
Version:        39.0.1
Release:        %mkrel 1
Summary:        Easily build and distribute Python packages

License:        MIT
Group:          Development/Python
Url:            http://pypi.python.org/pypi/%{module}
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-appdirs
BuildRequires:  python-backports-ssl_match_hostname
BuildRequires:  python-devel
BuildRequires:  python-packaging
BuildRequires:  python-pyparsing
BuildRequires:  python-six
BuildRequires:  python3-appdirs
BuildRequires:  python3-devel
BuildRequires:  python3-packaging
BuildRequires:  python3-pyparsing
BuildRequires:  python3-six
Provides:       python-pkg-resources = %{version}-%{release}
Provides:       python-setuptools-devel = %{version}-%{release}
Provides:       python-distribute = %{version}-%{release}
Requires:       python-appdirs
Requires:       python-packaging

%description
A collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially
ones that have dependencies on other packages.

%package -n python3-%{module}
Summary:        Easily build and distribute Python3 packages
Group:          Development/Python
Provides:       python3-pkg-resources = %{version}-%{release}
Provides:       python3-setuptools-devel = %{version}-%{release}
Provides:       python3-distribute = %{version}-%{release}
Requires:       python3-appdirs
Requires:       python3-packaging

%description -n python3-%{module}
A collection of enhancements to the Python 3 distutils that allow
you to more easily build and distribute Python 3 packages, especially
ones that have dependencies on other packages.

%prep
%setup -qn %{module}-%{version}
%__sed -e '/tag_build = .post/d' -e '/tag_date = 1/d' -i setup.cfg
%__cp -a . %{py3dir}
%__sed -i "s|^#\!.*/usr/bin/env python|#!/usr/bin/env python3|" %{py3dir}/setuptools/command/easy_install.py

%build
CFLAGS="%{optflags}" %{__python} bootstrap.py
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} bootstrap.py
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}
chmod +x %{buildroot}%{python_sitelib}/setuptools/command/easy_install.py

pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
chmod +x %{buildroot}%{python3_sitelib}/setuptools/command/easy_install.py
popd

find %{buildroot} -name \*.exe -delete

%files
%doc docs CHANGES.rst LICENSE README.rst
%{_bindir}/easy_install
%{_bindir}/easy_install-2.*
%{python_sitelib}/*

%files -n python3-setuptools
%doc docs CHANGES.rst LICENSE README.rst
%{_bindir}/easy_install-3.*
%{python3_sitelib}/*

%changelog
* Sat Jun 30 2018 adrianomorselli <adrianomorselli> 39.0.1-1uplos2018
- update
